/*
* Copyright © 2013-2017  Rinat Ibragimov
*
* This file is part of FreshPlayerPlugin.
*
* Permission is hereby granted, free of charge, to any person obtaining a copy
* of this software and associated documentation files (the "Software"), to deal
* in the Software without restriction, including without limitation the rights
* to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
* copies of the Software, and to permit persons to whom the Software is
* furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in all
* copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
* SOFTWARE.
*/

// URI parsing automaton

// TODO: handle IPv6 addresses in "host" field




static const int uri_parser_start = 0;
static const int uri_parser_first_final = 0;
static const int uri_parser_error = -1;

static const int uri_parser_en_main = 0;

static const char _uri_parser_nfa_targs[] = {
	0, 0
};

static const char _uri_parser_nfa_offsets[] = {
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0
};

static const char _uri_parser_nfa_push_actions[] = {
	0, 0
};

static const char _uri_parser_nfa_pop_trans[] = {
	0, 0
};


{
	cs = (int)uri_parser_start;
}

{
	if ( p == pe )
	goto _test_eof;
	switch ( cs )
	{
		case 0:
		goto st_case_0;
		case 1:
		goto st_case_1;
		case 2:
		goto st_case_2;
		case 3:
		goto st_case_3;
		case 4:
		goto st_case_4;
		case 5:
		goto st_case_5;
		case 6:
		goto st_case_6;
		case 7:
		goto st_case_7;
		case 8:
		goto st_case_8;
		case 9:
		goto st_case_9;
		case 10:
		goto st_case_10;
		case 11:
		goto st_case_11;
		case 12:
		goto st_case_12;
		case 13:
		goto st_case_13;
		case 14:
		goto st_case_14;
		case 15:
		goto st_case_15;
		case 16:
		goto st_case_16;
		case 17:
		goto st_case_17;
	}
	goto st_out;
	st_case_0:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr1;
		}
		case 47: {
			goto ctr2;
		}
		case 58: {
			goto ctr3;
		}
		case 63: {
			goto ctr4;
		}
	}
	{
		goto ctr0;
	}
	ctr0:
	{
		#line 48 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.scheme = p;}
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st1;
	st1:
	p+= 1;
	if ( p == pe )
	goto _test_eof1;
	st_case_1:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr6;
		}
		case 47: {
			goto st4;
		}
		case 58: {
			goto ctr8;
		}
		case 63: {
			goto ctr9;
		}
	}
	{
		goto st1;
	}
	ctr1:
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	{
		#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->path,     s, mark.path, p); }
	
	goto st2;
	ctr6:
	{
		#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->path,     s, mark.path, p); }
	
	goto st2;
	ctr13:
	{
		#line 54 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.query = p;}
	{
		#line 38 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->query,    s, mark.query, p); }
	
	goto st2;
	ctr15:
	{
		#line 38 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->query,    s, mark.query, p); }
	
	goto st2;
	ctr19:
	{
		#line 35 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->host,     s, mark.host, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	{
		#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->path,     s, mark.path, p); }
	
	goto st2;
	ctr33:
	{
		#line 36 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->port,     s, mark.port, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	{
		#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->path,     s, mark.path, p); }
	
	goto st2;
	st2:
	p+= 1;
	if ( p == pe )
	goto _test_eof2;
	st_case_2:
	{
		goto ctr10;
	}
	ctr10:
	{
		#line 55 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.fragment = p;}
	
	goto st3;
	st3:
	p+= 1;
	if ( p == pe )
	goto _test_eof3;
	st_case_3:
	{
		goto st3;
	}
	ctr3:
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st4;
	ctr20:
	{
		#line 35 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->host,     s, mark.host, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st4;
	ctr32:
	{
		#line 36 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->port,     s, mark.port, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st4;
	st4:
	p+= 1;
	if ( p == pe )
	goto _test_eof4;
	st_case_4:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr6;
		}
		case 63: {
			goto ctr9;
		}
	}
	{
		goto st4;
	}
	ctr4:
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	{
		#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->path,     s, mark.path, p); }
	
	goto st5;
	ctr9:
	{
		#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->path,     s, mark.path, p); }
	
	goto st5;
	ctr22:
	{
		#line 35 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->host,     s, mark.host, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	{
		#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->path,     s, mark.path, p); }
	
	goto st5;
	ctr35:
	{
		#line 36 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->port,     s, mark.port, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	{
		#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->path,     s, mark.path, p); }
	
	goto st5;
	st5:
	p+= 1;
	if ( p == pe )
	goto _test_eof5;
	st_case_5:
	if ( ( (*( p))) == 35 ) {
		goto ctr13;
	}
	{
		goto ctr12;
	}
	ctr12:
	{
		#line 54 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.query = p;}
	
	goto st6;
	st6:
	p+= 1;
	if ( p == pe )
	goto _test_eof6;
	st_case_6:
	if ( ( (*( p))) == 35 ) {
		goto ctr15;
	}
	{
		goto st6;
	}
	ctr8:
	{
		#line 32 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->scheme,   s, mark.scheme, p); }
	
	goto st7;
	st7:
	p+= 1;
	if ( p == pe )
	goto _test_eof7;
	st_case_7:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr1;
		}
		case 47: {
			goto ctr2;
		}
		case 63: {
			goto ctr4;
		}
	}
	{
		goto ctr3;
	}
	ctr2:
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st8;
	st8:
	p+= 1;
	if ( p == pe )
	goto _test_eof8;
	st_case_8:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr6;
		}
		case 47: {
			goto st9;
		}
		case 63: {
			goto ctr9;
		}
	}
	{
		goto st4;
	}
	st9:
	p+= 1;
	if ( p == pe )
	goto _test_eof9;
	st_case_9:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr1;
		}
		case 47: {
			goto ctr3;
		}
		case 58: {
			goto ctr3;
		}
		case 63: {
			goto ctr4;
		}
		case 64: {
			goto ctr3;
		}
	}
	{
		goto ctr17;
	}
	ctr17:
	{
		#line 49 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.username = p; end_username = p;}
	{
		#line 51 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.host = p;}
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st10;
	ctr18:
	{
		#line 35 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->host,     s, mark.host, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st10;
	st10:
	p+= 1;
	if ( p == pe )
	goto _test_eof10;
	st_case_10:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr19;
		}
		case 47: {
			goto ctr20;
		}
		case 58: {
			goto ctr21;
		}
		case 63: {
			goto ctr22;
		}
		case 64: {
			goto ctr23;
		}
	}
	{
		goto ctr18;
	}
	ctr21:
	{
		#line 33 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		end_username = p; }
	{
		#line 35 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->host,     s, mark.host, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st11;
	st11:
	p+= 1;
	if ( p == pe )
	goto _test_eof11;
	st_case_11:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr6;
		}
		case 47: {
			goto st4;
		}
		case 63: {
			goto ctr9;
		}
		case 64: {
			goto st4;
		}
	}
	if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
		goto ctr25;
	}
	{
		goto ctr24;
	}
	ctr24:
	{
		#line 50 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.password = p; end_password = p;}
	
	goto st12;
	ctr36:
	{
		#line 36 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->port,     s, mark.port, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st12;
	st12:
	p+= 1;
	if ( p == pe )
	goto _test_eof12;
	st_case_12:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr6;
		}
		case 47: {
			goto st4;
		}
		case 63: {
			goto ctr9;
		}
		case 64: {
			goto ctr27;
		}
	}
	{
		goto st12;
	}
	ctr23:
	{
		#line 33 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		end_username = p; }
	{
		#line 35 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->host,     s, mark.host, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st13;
	ctr27:
	{
		#line 34 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		end_password = p; }
	
	goto st13;
	ctr38:
	{
		#line 34 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		end_password = p; }
	{
		#line 36 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->port,     s, mark.port, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st13;
	st13:
	p+= 1;
	if ( p == pe )
	goto _test_eof13;
	st_case_13:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr6;
		}
		case 47: {
			goto st4;
		}
		case 58: {
			goto st4;
		}
		case 63: {
			goto ctr9;
		}
		case 64: {
			goto st4;
		}
	}
	{
		goto ctr28;
	}
	ctr29:
	{
		#line 35 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->host,     s, mark.host, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st14;
	ctr28:
	{
		#line 41 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		
		if (mark.username)
		set_url_component(&components->username, s, mark.username, end_username);
		if (mark.password)
		set_url_component(&components->password, s, mark.password, end_password);
	}
	{
		#line 51 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.host = p;}
	
	goto st14;
	st14:
	p+= 1;
	if ( p == pe )
	goto _test_eof14;
	st_case_14:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr19;
		}
		case 47: {
			goto ctr20;
		}
		case 58: {
			goto ctr30;
		}
		case 63: {
			goto ctr22;
		}
		case 64: {
			goto ctr20;
		}
	}
	{
		goto ctr29;
	}
	ctr30:
	{
		#line 35 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->host,     s, mark.host, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st15;
	st15:
	p+= 1;
	if ( p == pe )
	goto _test_eof15;
	st_case_15:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr6;
		}
		case 63: {
			goto ctr9;
		}
	}
	if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
		goto ctr31;
	}
	{
		goto st4;
	}
	ctr31:
	{
		#line 52 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.port = p;}
	
	goto st16;
	ctr34:
	{
		#line 36 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->port,     s, mark.port, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st16;
	st16:
	p+= 1;
	if ( p == pe )
	goto _test_eof16;
	st_case_16:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr33;
		}
		case 63: {
			goto ctr35;
		}
	}
	if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
		goto ctr34;
	}
	{
		goto ctr32;
	}
	ctr25:
	{
		#line 50 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.password = p; end_password = p;}
	{
		#line 52 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.port = p;}
	
	goto st17;
	ctr37:
	{
		#line 36 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		set_url_component(&components->port,     s, mark.port, p); }
	{
		#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
		mark.path = p;}
	
	goto st17;
	st17:
	p+= 1;
	if ( p == pe )
	goto _test_eof17;
	st_case_17:
	switch( ( (*( p))) ) {
		case 35: {
			goto ctr33;
		}
		case 47: {
			goto ctr32;
		}
		case 63: {
			goto ctr35;
		}
		case 64: {
			goto ctr38;
		}
	}
	if ( 48 <= ( (*( p))) && ( (*( p))) <= 57 ) {
		goto ctr37;
	}
	{
		goto ctr36;
	}
	st_out:
	_test_eof1: cs = 1; goto _test_eof; 
	_test_eof2: cs = 2; goto _test_eof; 
	_test_eof3: cs = 3; goto _test_eof; 
	_test_eof4: cs = 4; goto _test_eof; 
	_test_eof5: cs = 5; goto _test_eof; 
	_test_eof6: cs = 6; goto _test_eof; 
	_test_eof7: cs = 7; goto _test_eof; 
	_test_eof8: cs = 8; goto _test_eof; 
	_test_eof9: cs = 9; goto _test_eof; 
	_test_eof10: cs = 10; goto _test_eof; 
	_test_eof11: cs = 11; goto _test_eof; 
	_test_eof12: cs = 12; goto _test_eof; 
	_test_eof13: cs = 13; goto _test_eof; 
	_test_eof14: cs = 14; goto _test_eof; 
	_test_eof15: cs = 15; goto _test_eof; 
	_test_eof16: cs = 16; goto _test_eof; 
	_test_eof17: cs = 17; goto _test_eof; 
	
	_test_eof: {}
	if ( p == eof )
	{
		switch ( cs ) {
			case 0: {
				
				break; }
			case 1: {
				
				break; }
			case 2: {
				
				break; }
			case 3: {
				
				break; }
			case 4: {
				
				break; }
			case 5: {
				
				break; }
			case 6: {
				
				break; }
			case 7: {
				
				break; }
			case 8: {
				
				break; }
			case 9: {
				
				break; }
			case 10: {
				
				break; }
			case 11: {
				
				break; }
			case 12: {
				
				break; }
			case 13: {
				
				break; }
			case 14: {
				
				break; }
			case 15: {
				
				break; }
			case 16: {
				
				break; }
			case 17: {
				
				break; }
		}
		switch ( cs ) {
		}
		switch ( cs ) {
			case 1: 
			
			case 4: 
			
			case 8: 
			
			case 11: 
			
			case 12: 
			
			case 13: 
			
			case 15: 
			{
				#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				set_url_component(&components->path,     s, mark.path, p); }
			break;
			case 6: 
			{
				#line 38 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				set_url_component(&components->query,    s, mark.query, p); }
			break;
			case 3: 
			{
				#line 39 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				set_url_component(&components->ref,      s, mark.fragment, p); }
			break;
			case 0: 
			
			case 7: 
			
			case 9: 
			{
				#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				mark.path = p;}	{
				#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				set_url_component(&components->path,     s, mark.path, p); }
			break;
			case 5: 
			{
				#line 54 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				mark.query = p;}	{
				#line 38 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				set_url_component(&components->query,    s, mark.query, p); }
			break;
			case 2: 
			{
				#line 55 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				mark.fragment = p;}	{
				#line 39 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				set_url_component(&components->ref,      s, mark.fragment, p); }
			break;
			case 10: 
			
			case 14: 
			{
				#line 35 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				set_url_component(&components->host,     s, mark.host, p); }	{
				#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				mark.path = p;}	{
				#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				set_url_component(&components->path,     s, mark.path, p); }
			break;
			case 16: 
			
			case 17: 
			{
				#line 36 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				set_url_component(&components->port,     s, mark.port, p); }	{
				#line 53 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				mark.path = p;}	{
				#line 37 "/builddir/build/BUILD/freshplayerplugin-0.3.11/src/uri_parser/uri_parser_fsm.rl"
				set_url_component(&components->path,     s, mark.path, p); }
			break;
		}
	}
	
}

